/* ------------------------ */
/*          SIZES           */
/* ------------------------ */

.t50-40,
.t50-40 * {
  font-size: calc(40px + (50 - 40) * ((100vw - 402px) / (1512 - 402)));
  line-height: 1.1em;

  @media (min-width: 1512px) {
    font-size: calc(50px + (53 - 50) * ((100vw - 1512px) / (1920 - 1512)));
  }
}

.t35-27,
.t35-27 * {
  font-size: calc(27px + (35 - 27) * ((100vw - 402px) / (1512 - 402)));
  line-height: 1.2em;

  @media (min-width: 1512px) {
    font-size: calc(35px + (38 - 35) * ((100vw - 1512px) / (1920 - 1512)));
  }
}

.t30-20,
.t30-20 * {
  font-size: calc(20px + (30 - 20) * ((100vw - 402px) / (1512 - 402)));
  line-height: 1.2em;

  @media (min-width: 1512px) {
    font-size: calc(30px + (33 - 30) * ((100vw - 1512px) / (1920 - 1512)));
  }
}

.t30-15,
.t30-15 * {
  font-size: calc(15px + (30 - 15) * ((100vw - 402px) / (1512 - 402)));
  line-height: 1.2em;

  @media (min-width: 1512px) {
    font-size: calc(30px + (33 - 30) * ((100vw - 1512px) / (1920 - 1512)));
  }
}

.t20-15,
.t20-15 *,
.text-link a {
  font-size: calc(15px + (20 - 15) * ((100vw - 402px) / (1512 - 402)));
  line-height: 1.15em;

  @media (min-width: 1512px) {
    font-size: calc(20px + (23 - 20) * ((100vw - 1512px) / (1920 - 1512)));
  }
}

.t20-20,
.t20-20 *,
.legal__body__main-text :is(h1, h2, h3, h4, h5, h6) {
  font-size: 20px;
  line-height: 1.15em;

  @media (min-width: 1512px) {
    font-size: calc(20px + (23 - 20) * ((100vw - 1512px) / (1920 - 1512)));
  }
}

.t14-12,
.t14-12 *,
.legal__body__main-text,
.faqs-item__body {
  font-size: calc(12px + (14 - 12) * ((100vw - 402px) / (1512 - 402)));
  line-height: 1.1em;

  @media (min-width: 1512px) {
    font-size: calc(14px + (17 - 14) * ((100vw - 1512px) / (1920 - 1512)));
  }
}

.t14-14,
.t14-14 * {
  font-size: 14px;
  line-height: 1.1em;

  @media (min-width: 1512px) {
    font-size: calc(14px + (17 - 14) * ((100vw - 1512px) / (1920 - 1512)));
  }
}

.t12-12,
.t12-12 * {
  font-size: 12px;
  line-height: 1.2em;

  @media (min-width: 1512px) {
    font-size: calc(12px + (15 - 12) * ((100vw - 1512px) / (1920 - 1512)));
  }
}

.t12-10,
.t12-10 *,
.legal__body__main-text .num,
.faqs-item__body h1,
.faqs-item__body h2,
.faqs-item__body h3,
.faqs-item__body h4,
.faqs-item__body h5,
.faqs-item__body h6 {
  font-size: calc(10px + (12 - 10) * ((100vw - 402px) / (1512 - 402)));
  line-height: 1.2em;

  @media (min-width: 1512px) {
    font-size: calc(12px + (15 - 12) * ((100vw - 1512px) / (1920 - 1512)));
  }
}

.t11-11,
.t11-11 * {
  font-size: 11px;
  line-height: 1em;

  @media (min-width: 1512px) {
    font-size: calc(11px + (13 - 11) * ((100vw - 1512px) / (1920 - 1512)));
  }
}

.t10,
.t10 * {
  font-size: 10px;
  line-height: 1em;

  @media (min-width: 1512px) {
    font-size: calc(10px + (13 - 10) * ((100vw - 1512px) / (1920 - 1512)));
  }
}
